6.0.0-git
2019-03-24

[#8835] EXDATES from Nokia do not sync
Summary EXDATES from Nokia do not sync
Queue Synchronization
Queue Version FRAMEWORK_3
Type Bug
State Resolved
Priority 2. Medium
Owners jan (at) horde (dot) org
Requester mephisto (at) gmx (dot) net
Created 2010-01-22 (3348 days ago)
Due
Updated 2011-03-13 (2933 days ago)
Assigned 2010-10-24 (3073 days ago)
Resolved 2011-03-13 (2933 days ago)
Milestone
Patch No

History
2011-03-13 04:44:55 Chuck Hagenbuch Comment #8
State ⇒ Resolved
Reply to this comment
  no feedback
2010-10-24 12:16:59 Jan Schneider Comment #7
State ⇒ Feedback
Priority ⇒ 2. Medium
Version ⇒ FRAMEWORK_3
Reply to this comment
2010-03-19 11:52:57 mephisto (at) gmx (dot) net Comment #6
New Attachment: nokia-correct-exdates.diff Download
Reply to this comment
Hello,

I have written a patch that makes EXDATE synchronisation work, at 
least for my Nokia E52.
The patch is against current (as of 19.03.2010) cvs of framework and 
applies to
framework/SyncML/SyncML/Device/Nokia.php.
You can find the diff attached to this thread.

Best,
Heiner

2010-02-11 11:21:16 Jan Schneider Comment #5
Assigned to Jan Schneider
State ⇒ Assigned
Reply to this comment
Thanks.
2010-02-07 16:39:47 mephisto (at) gmx (dot) net Comment #4
New Attachment: example-nokia-exdate.txt Download
Reply to this comment
I attached a relevant part of data.txt log file.

2010-02-04 18:08:49 Jan Schneider Comment #3
State ⇒ Feedback
Reply to this comment
Please provide a full iCalendar listing from the data.txt log file.
2010-01-28 00:54:33 Michael Rubinsky Version ⇒
Queue ⇒ Synchronization
Priority ⇒ 1. Low
 
2010-01-27 19:44:19 mephisto (at) gmx (dot) net Comment #2 Reply to this comment
Sorry, this should probably be in the SyncML section, which I did not 
see when reporting the bug.

2010-01-22 16:59:14 mephisto (at) gmx (dot) net Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ EXDATES from Nokia do not sync
Queue ⇒ Kronolith
Milestone ⇒
Patch ⇒ No
Reply to this comment
Hi,

I found that my Nokia E52 sends Exdates in the form
EXDATE: DATUM1; DATUM2; DATUM3\n
whereas Horde expects the form
EXDATE: DATUM1\n
EXDATE: DATUM2\n
EXDATE: DATUM3\n
After looking in the source of the cvs FRAMEWORK_3-version (as of 
december 2009), I think the bug still exists in current cvs, as there 
is no conversion done in Device/Nokia.php.

Best regards
Heiner

Saved Queries